<?php

namespace App\Entities;

use App\Entities\BaseEntity;

class UserEntity extends BaseEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle()
    {
        return $this->attributes['name'];
    }
    public function getRole()
    {
        return $this->attributes['role'];
    }

    public function getPassword()
    {
        return $this->attributes['passwd'];
    }
}
